commit:     266b76e601c284b58af128fe1af54029390ea98c
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Fri Oct  5 18:47:40 2018 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Fri Oct  5 19:26:24 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=266b76e6

dev-libs/libassuan: eapi bump

Package-Manager: Portage-2.3.49, Repoman-2.3.10
Signed-off-by: Alon Bar-Lev <alonbl <AT> gentoo.org>

 dev-libs/libassuan/libassuan-2.5.1-r1.ebuild | 44 ++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/dev-libs/libassuan/libassuan-2.5.1-r1.ebuild 
b/dev-libs/libassuan/libassuan-2.5.1-r1.ebuild
new file mode 100644
index 00000000000..89882fdf05b
--- /dev/null
+++ b/dev-libs/libassuan/libassuan-2.5.1-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit libtool
+
+DESCRIPTION="IPC library used by GnuPG and GPGME"
+HOMEPAGE="http://www.gnupg.org/related_software/libassuan/index.en.html";
+SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-3 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE="static-libs"
+
+RDEPEND=">=dev-libs/libgpg-error-1.8"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       default
+
+       if [[ ${CHOST} == *-solaris* ]] ; then
+               elibtoolize
+
+               # fix standards conflict
+               sed -i \
+                       -e '/_XOPEN_SOURCE/s/500/600/' \
+                       -e 's/_XOPEN_SOURCE_EXTENDED/_NO&/' \
+                       -e 's/__EXTENSIONS__/_NO&/' \
+                       configure || die
+       fi
+}
+
+src_configure() {
+       econf \
+               $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       # ppl need to use libassuan-config for --cflags and --libs
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to